Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228212 - Review Request: perl-Proc-Daemon - Run Perl program as a daemon process
Summary: Review Request: perl-Proc-Daemon - Run Perl program as a daemon process
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-11 18:58 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 06:12:02 UTC
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2007-02-11 18:58:08 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/perl-Proc-Daemon.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/perl-Proc-Daemon-0.03-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/perl-Proc-Daemon-build.log
Description: 
This is version 0.03 of Proc::Daemon

This module contains the routine Init which can be called by a Perl 
program to initialize itself as a daemon. A daemon is a process that
runs in the background with no controlling terminal. Generally servers
(like FTP and HTTP servers) run as daemon processes.

Comment 1 Parag AN(पराग) 2007-02-12 04:47:49 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6e1b83ac0f0add22f63597733f38c973  Proc-Daemon-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00modload.......ok
t/01filecreate....ok
All tests successful.
Files=2, Tests=2,  5 wallclock secs ( 0.05 cusr +  0.01 csys =  0.06 CPU)
+ Provides: perl(Proc::Daemon) = 0.03



Comment 2 Parag AN(पराग) 2007-02-12 04:48:38 UTC
APPROVED.

Comment 3 Remi Collet 2007-02-15 06:12:02 UTC
Thanks for the review...

Comment 4 Remi Collet 2007-05-16 12:37:55 UTC
Package Change Request
======================
Package Name: perl-Proc-Daemon
New Branches: EL-4 EL-5

Comment 5 Jens Petersen 2007-05-20 14:05:44 UTC
done


Note You need to log in before you can comment on or make changes to this bug.